package gui.simulator;

import java.awt.geom.Rectangle2D;
import java.io.Serializable;

public class ExitPoint extends DrawEngine implements Serializable {
	
	private static Images.ImageType images = Images.ImageType.Exit;
	private static String facilityName = "Uitgang";
	private Terrain terrain;

    //TODO change visibility
    public ExitPoint(Terrain terrain, int x, int y, double scale, double distance) {
        super(images, x, y, scale, distance, SimulatorPane.Objects.EXIT, terrain, new Rectangle2D.Double(-10, -10, 430, 170), true);
        this.terrain = terrain;
    }
    
    public ExitPoint(int x, int y, double scale, double distance, Terrain terrain) {
        super(images, x, y, scale, distance, SimulatorPane.Objects.EXIT, terrain, new Rectangle2D.Double(-10, -10, 430, 170), true);
        this.terrain = terrain;
    }

    public String getFacilityName(){
    	return facilityName;
    }
}